Bug 40951 - Various fixes for the solid-state article
Summary: Various fixes for the solid-state article
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Christian Brueffer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-07-24 12:40 UTC by Christian Brueffer
Modified: 2003-01-16 16:41 UTC (History)
0 users

See Also:


Attachments
patch (3.71 KB, patch)
2002-07-24 12:40 UTC, Christian Brueffer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Brueffer 2002-07-24 12:40:01 UTC
	Various fixes for the solid-state article, including typos
	and missing tags
Comment 1 Christian Brueffer 2002-08-12 19:34:44 UTC
Ok, here are two new patches which incorporate the sentence
Ceri Davies suggested.

The first one contains the actual fixes, the second one contains
whitespace fixes.



--- article.sgml        Thu May 16 03:42:01 2002
+++ article.sgml.modified       Mon Aug 12 18:06:27 2002
@@ -134,7 +134,7 @@
     <para>First, all embedded FreeBSD systems that use flash memory as system
       disk will be interested in memory disks and memory filesystems.  Because
       of the limited number of writes that can be done to flash memory, the
-      disk and the filesystems no the disk will most likely be mounted
+      disk and the filesystems on the disk will most likely be mounted
       read-only.  In this environment, filesystems such as
       <filename>/tmp</filename> and <filename>/var</filename> are mounted as
       memory filesystems to allow the system to create logs and update
@@ -204,7 +204,7 @@
       read-only.  Remember that in <xref linkend="intro"> we detailed the
       limitations of flash memory - specifically the limited write capability.
       The importance of not mounting filesystems on flash media read-write,
-      and the importance of not using a swap file cannot be overstated.  A
+      and the importance of not using a swap file, cannot be overstated.  A
       swap file on a busy system can burn through a piece of flash media in
       less than one year. Heavy logging or temporary file creation and
       destruction can do the same.  Therefore, in addition to removing the
@@ -290,7 +290,7 @@
          by pressing the <keycap>w</keycap> key (this is a hidden option on
          this screen).  When presented with a menu to choose a boot manager,
          take care to select <literal>None</literal> if you are using an
-         M-Systems Disk-On-Chip.  If you are using a ATA compatible compact
+         M-Systems Disk-On-Chip.  If you are using an ATA compatible compact
          flash card, you should choose the FreeBSD Boot Manager.  Now press
          the <keycap>q</keycap> key to quit the partition menu.  You will be
          shown the boot manager menu once more - repeat the choice you made
@@ -333,7 +333,7 @@
          of the file from <literal>ESDI</literal> to
          <literal>DOC2K</literal>.  Next, regardless of whether you are using
          Disk-On-Chip or ATA compatible compact flash media, you need to add
-         an a: line at the end of the file.  This <literal>a:</literal> line
+         an <literal>a:</literal> line at the end of the file.  This <literal>a:</literal> line
          should look like:</para>
 
        <programlisting>a:      <replaceable>123456</replaceable>  0       4.2BSD  0       0</programlisting>
@@ -546,14 +546,11 @@
        your filesystems on the flash media.  Since they are read-only, you
        will need to temporarily mount them read-write using the mount syntax
        shown in <xref linkend="ro-fs">.  You should always remount those
-       filesystems read-only when you are done with any maintenance - it is
-       dangerous to leave them in read-write mode lest a process begin
-       logging or otherwise writing regularly to the flash media and wearing
-       it out over time.</para>
+       filesystems read-only when you are done with any maintenance - unnecessary writes to the flash media could considerably shorten its lifespan.</para>
 
       <para>To make it possible to enter a ports directory and successfully
        run <command>make install</command>, it is necessary for the file
-       <filename>/var/db/port.mkversion</filename> to exist, and that it have
+       <filename>/var/db/port.mkversion</filename> to exist, and that it has
        a correct date in it.  Further, we must create a packages directory on
        a non-memory filesystem that will keep track of our packages across
        reboots. Because it is necessary to mount your filesystems as
@@ -599,7 +596,7 @@
 
       <para>Apache keeps pid files and logs in
        <filename><replaceable>apache_install</replaceable>/logs</filename>.
-       Since this directory no doubt exists on a read-only filesystem, this
+       Since this directory, without a doubt, exists on a read-only filesystem, this
        will not work.  It is necessary to add a new directory to the
        <filename>/etc/rc.diskless2</filename> list of directories to create
        in <filename>/var</filename>, to link



--- article.sgml.fixes  Mon Aug 12 18:22:46 2002
+++ article.sgml.whitespace     Mon Aug 12 18:25:00 2002
@@ -333,8 +333,8 @@
          of the file from <literal>ESDI</literal> to
          <literal>DOC2K</literal>.  Next, regardless of whether you are using
          Disk-On-Chip or ATA compatible compact flash media, you need to add
-         an <literal>a:</literal> line at the end of the file.  This <literal>a:</literal> line
-         should look like:</para>
+         an <literal>a:</literal> line at the end of the file.  This
+         <literal>a:</literal> line should look like:</para>
 
        <programlisting>a:      <replaceable>123456</replaceable>  0       4.2BSD  0       0</programlisting>
 
@@ -546,7 +546,9 @@
        your filesystems on the flash media.  Since they are read-only, you
        will need to temporarily mount them read-write using the mount syntax
        shown in <xref linkend="ro-fs">.  You should always remount those
-       filesystems read-only when you are done with any maintenance - unnecessary writes to the flash media could considerably shorten its lifespan.</para>
+       filesystems read-only when you are done with any maintenance -
+       unnecessary writes to the flash media could considerably shorten its
+       lifespan.</para>
 
       <para>To make it possible to enter a ports directory and successfully
        run <command>make install</command>, it is necessary for the file
@@ -596,8 +598,8 @@
 
       <para>Apache keeps pid files and logs in
        <filename><replaceable>apache_install</replaceable>/logs</filename>.
-       Since this directory, without a doubt, exists on a read-only filesystem, this
-       will not work.  It is necessary to add a new directory to the
+       Since this directory, without a doubt, exists on a read-only filesystem,
+       this will not work.  It is necessary to add a new directory to the
        <filename>/etc/rc.diskless2</filename> list of directories to create
        in <filename>/var</filename>, to link
        <filename><replaceable>apache_install</replaceable>/logs</filename> to



- Christian

-- 
http://www.unixpages.org			chris@unixpages.org
GPG Pub-Key    : www.unixpages.org/cbrueffer.asc
GPG Fingerprint: 0DB5 8563 2473 C72A A8D1  56EA DAD2 B05D 5F3C 3185
GPG Key ID     : DAD2B05D5F3C3185
Comment 2 Christian Brueffer freebsd_committer 2003-01-13 18:26:20 UTC
Responsible Changed
From-To: freebsd-doc->brueffer

cleaning up my own mess :-)
Comment 3 Christian Brueffer freebsd_committer 2003-01-16 16:40:44 UTC
State Changed
From-To: open->closed

Commited